Subject: bug#12351: 24.1; parse-colon-path turns empty paths into nil

From: Eli Zaretskii <[email-masked]>
Date: Sun, 30 Dec 2012 22:22:09 +0200

> From: Dave Abrahams <[email-masked]>
> Date: Sun, 30 Dec 2012 14:53:44 -0500
> Cc: [email-masked]
> 
> > Obviously we need the nils to remain, so I will put them back and just
> > mention that empty elements return nil. It's not worth handling the
> > minor aesthetic annoyance of (nil nil) specially.
> 
> FWIW, I disagree. IMO you should at least consider fixing eshell and any
> other things that break because of this change.  This discontinuity in
> behavior is not merely aesthetic; it makes parse-colon-path difficult to
> use correctly and leads to hard-to-find bugs in any code that fails to
> account for the possible nils.

This whole discussion is rather futile, unless the opinions are also
backed up by real-life use cases.  Can you tell why the previous
behavior made parse-colon-path difficult to use, and in what
situations?